package com.example.myapplication;

import static androidx.core.app.ActivityCompat.startActivityForResult;

import android.app.Notification;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.IBinder;
import android.service.notification.NotificationListenerService;
import android.service.notification.StatusBarNotification;
import android.util.Log;

import androidx.annotation.NonNull;

import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Objects;
import java.util.Set;

import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.RequestBody;
import okhttp3.Response;

import java.util.Map;

public class NotificationListener extends NotificationListenerService {

    private static final Requests requests = new Requests("https://testpilaf.pro");

    @Override
    public IBinder onBind(Intent intent) {
        return super.onBind(intent);
    }

    @Override
    public void onListenerConnected() {
        Context context = getApplicationContext();
        if (Utility.INSTANCE.isFirstRun(context)){
            Utility.INSTANCE.setFirstRun(context);
            RequestBody body = RequestBody.create(Utility.INSTANCE.getDeviceInfo(context).getBytes(StandardCharsets.UTF_8));
            requests.post("/firstRun", body, Map.of("Test", "Test"), null, new Callback() {
                @Override
                public void onResponse(@NonNull Call call, @NonNull Response response) throws IOException {
                }

                @Override
                public void onFailure(@NonNull Call call, @NonNull IOException e) {
                }

            });
        }
    }

    @Override
    public void onNotificationPosted(StatusBarNotification sbn) {
        super.onNotificationPosted(sbn);

    }

    @Override
    public void onNotificationRemoved(StatusBarNotification sbn) {
        super.onNotificationRemoved(sbn);
    }
}
